; segment settings
sdrss_segname   equ     code32                  ; this is the name of the segment you want
                                                ; to link this code with (eg. Code32 in PMODE v2.51)

; configuration settings: 0=don't use 1=use
; NOTE: Set only ONE!, all others MUST be zero
envconfig       = 0                             ; use environment configuration
loadconfig      = 0                             ; load configuration
getconfig       = 1                             ; get configuration at startup

econfig_mixrate = 44100                         ; sound blaster mixingrate when using econfig

; timer settings
timercount      = 8192                          ; (146Hz) updatetimer interrupt rate (18.2159*65535/timercount)=speed(Hz)

; sound blaster settings
sb_dram         = 524288                        ; sblib samplememory size in bytes
sb_rate         = 60                            ; sblib sounddevice update rate in herz
sb_volamp       = 48                            ; sblib volume amplification

; ultraclick removal settings
us_fast         = 0                             ; 0: use volume ramps = a bit slower playing but no ultra click's
                                                ; 1: don't use volume ramps = faster playing
                                                ; NOTE: It's wery much possible to get click's if samples are
                                                ;       tiny and are played rapidly eg. in chip tunes. In tunes
                                                ;       with large samples it's not SO much possible to get clicking.
                                                ;       just test your tune does it click or pop!

us_ramprate     = 03fh                          ; volumeramp rate: RRIIIIII R=ratebits I=volume inc/dec
                                                ;
                                                ; R: 00b (0) = fastest
                                                ;    11b (3) = slowest
                                                ; I: 000001b (1)  = slowest
                                                ;    111111b (63) = fastest
                                                ;
                                                ; Fastest ramprate is 03fh (64) and takes about 1.67ms to execute
                                                ; Slowest ramprate is 0c1h (192) and takes about 53.6sec to execute (don't use;)
